---
title: "List flows assigned to specified prospects"
slug: "list-assigned-flows-for-the-given-prospects-v2flowsprospects-1"
updated: 2025-11-17T08:10:53Z
published: 2025-11-17T08:12:09Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://help.gong.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List assigned flows for the given prospects (/v2/flows/prospects)

Post/v2/flows/prospects

Get the Gong Engage flows assigned to the given prospects.

Required authorizaton scope: 'api:flows:read'.

Body parameters<select class='api-response-data' aria-label='Media type'><option value='0765553a-69d2-4e7e-a423-ba9dc4dcc772'>application/json</option>
</select>object  

Prospects assigned flows request

crmProspectsIds Array of string   Required

The CRM IDs of the prospects to list assigned flows for

Example[
  "a5V1Q00A120DP4CVAW"
]string    

The CRM IDs of the prospects to list assigned flows for

Example["a5V1Q00A120DP4CVAW"]

Responses200

Successful response

<select class='api-response-data' aria-label='Media type'><option value='2cb1ca88-c0d6-4aed-8f98-0bcfbe189256'>application/json</option>
</select>Expand Allobject  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
prospectsAssigned Array of object (PublicApiAssignedFlow)   

The flow instances assigned to the given prospects

object  flowIdstring    

The Gong Engage Flow ID the prospect was assigned to.

Example1695493301223590792
flowNamestring    

The Gong Engage Flow name the prospect was assigned to.

ExampleSDR Flow
crmProspectIdstring    

The CRM ID of the prospect that was assigned to a Gong Engage flow.

Examplea5V1Q00A120DP4CVAW
flowInstanceIdstring    

The newly created flow instance id.

Example1234361284629356
flowInstanceOwnerEmailstring    

The email address of the Gong user who owns the flow instance tasks.

Exampletest@test.com
flowInstanceOwnerFullNamestring    

The full name of the Gong user who owns the flow instance tasks.

ExampleTest User
flowInstanceCreateDatestring    

The creation date of the flow instance in the ISO-8601 format, for example: '2024-01-17T16:20:05-03:00' or '2016-02-16T03:57:04.834+05:30' or '2020-11-20T21:30:07.233692Z', where Z stands for UTC.

Example2019-01-20T00:00:00-08:00
flowInstanceStatusstring    

The status of the flow instance.

Valid values[
  "Running",
  "Pending",
  "Paused"
]ExampleRunning
workspaceIdstring    

The workspace ID this flow belongs to.

Example623457276584334
exclusiveboolean    

Indicates whether a prospect in this flow can be added to other flows

Exampletrue

400

Malformed request

<select class='api-response-data' aria-label='Media type'><option value='04c077c1-16f9-46e3-86e7-cd100bd043ea'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='7535117a-26ba-4372-8740-0b693eabb86e'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

403

Forbidden

<select class='api-response-data' aria-label='Media type'><option value='f113aa4a-c0ae-44cd-bb1e-676bd6c27ed8'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

429

API request limit exceeded

HeadersRetry-AfterintegerNumber of seconds to wait before making a new request.
<select class='api-response-data' aria-label='Media type'><option value='fc5b56f8-1634-4b84-8208-a5a84570f869'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

500

Failed to complete the operation due to an unexpected error

<select class='api-response-data' aria-label='Media type'><option value='38aedd4c-bfc3-4725-ae7a-752d32fee1db'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string
